<?php
//////////////////////////////////////////
// CHAT POWERED : http://sim-sim.h2m.ru//
// ICQ : 378036650                     //
// Email : olegarhi75@mail.ru          //
// WEB SITE Version 1.0 www.waufon.ru  //
////////////////////////////////////////

function check( $msg )
{
$msg = str_replace( "\\n", " ", $msg );
$msg = str_replace( "\n", " ", $msg );
$msg = str_replace( "\$", "$\$", $msg );
$msg = stripslashes( $msg );
/////////////////////////////////////////////////
/////ЕЛИСЕЙ ВОТ Я ЗАКРЫЛ СТРОКУ ШТО НИЖЕ////////////
///////////////////////////////////////////////////
//$msg = strtr( $msg, array( "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ) );
$msg = htmlspecialchars( $msg );
$msg = addslashes( $msg );
$msg = trim( $msg );
return $msg;
}
function gettime( )
{





$part_time = explode( " ", microtime( ) );
$real_time = $part_time[1].substr( $part_time[0], 1 );
return $real_time;
}
///Удаляю заголовки.Т.к некоторые хосты их отображают////
//header( "Expires: ".gmdate( "D, d M Y H:i:s" )." GMT" );
//header( "Last-Modified: ".gmdate( "D, d M Y H:i:s" )." GMT" );
//header( "Cache-Control: no-store, no-cache, must-revalidate" );
///header( "Pragma: no-cache" );
///header( "Content-type:text/html; charset=utf-8" );
echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\r\n<html>\r\n<head>\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n";
if ( !( $link = mysql_connect( $DB_HOST, $DB_USER, $DB_PASS ) ) )
{
exit( "\r\n<title>Error!</title></head><body bgcolor=\"#000000\" text=\"yellow\">\r\n<p align=\"center\">Ошибка! Возможно ваш хост атакуют досс атакой Иль всё дело в настройке<br/>Настрой MySQL...и созывай народ в чат.<br/>***<br/>\r\n<a href=\"http://waufon.ru/kat_chat\"><font color=\"#FF0033\">Найти чатик из партнёрки каталога &copy;</font></a><br/>\r\n</p></body></html>" );
}
if ( !mysql_select_db( $DB_NAME ) )
{
exit( "\r\n<title>Error!</title></head><body bgcolor=\"#000000\" text=\"yellow\">\r\n<p align=\"center\">Ошибка! Возможно ваш хост атакуют досс атакой Иль всё дело в настройке<br/>Настрой MySQL...и созывай народ в чат.<br/>***<br/>\r\n<a href=\"http://waufon.ru/kat_chat\"><font color=\"#FF0033\">Найти чатик из партнёрки каталога &copy;</font></a><br/>\r\n</p></body></html>" );
}
$ref = rand( 0, 100000 );
$mystart = gettime( );
$pass = check( $pass );
if ( isset( $login ) )
{
$login = check( $login );
$find_user = mysql_query( "Select * from users where login='".$login."' and pass='".$pass."'" );
}
else
{
$id = intval( $id );
$find_user = mysql_query( "Select * from users where id='".$id."' and pass='".$pass."'" );
}
if ( mysql_affected_rows( ) == 0 )
{
echo "<meta http-equiv=\"refresh\" content=\"3;URL=/index.php\"/>";
echo "<title>Ошибка</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: x-small; color: #000000; background-color: #FF0000; }";
echo "a:link,a:visited { text-decoration: none; color: #000000 }";
echo ".ab { border-style:solid; border-width:1px; background-color:#fff; border-color:#000 #fff #fff #000; margin:3px;}";
echo ".bc { border-style:solid; border-width:1px; background-color:#d4d0c8; border-color:#fff #000 #000 #fff;}";
echo ".cd { background-color: #0000ff; color: #fff }";
echo "</style></head><body>";
echo "<div class=\"bc\">";
echo "<div class=\"cd\"><b>&nbsp;Неудачная авторизация...</b></div>";
echo "<div align=\"center\"><img alt=\"...\" src=\"/smi/red.gif\"><br/>";
echo "Проверьте правильно ли Вы ввели логин или пароль!<br/><br/>";
echo "<a class=\"bc\" href=\"/index.php\">&nbsp; Ok &nbsp;</a><br/><br/>";
echo "</div></div></body></html>";
mysql_close( $link );
exit( );
}
$row = mysql_fetch_array( $find_user );
if ( empty( $row['fsize'] ) )
{
$fs = "x-small";
}
else
{
$fs = "normal";
}
require( "color.php" );
if ( !isset( $id ) )
{
$id = $row['id'];
}
if ( $row['ban'] && $row['level'] < 7 )
{
$whokik = $row['whokick'];
$whykik = $row['whykick'];
echo "<title>BAN!</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: #000000; background-color: #FF0000; }";
echo "a:link,a:visited { text-decoration: none; color: #000000 }";
echo ".ab { border-style:solid; border-width:1px; background-color:#fff; border-color:#000 #fff #fff #000; margin:3px;}";
echo ".bc { border-style:solid; border-width:1px; background-color:#d4d0c8; border-color:#fff #000 #000 #fff;}";
echo ".cd { background-color: #0000ff; color: #fff }";
echo "</style></head><body>";
echo "<div class=\"bc\">";
echo "<div class=\"cd\"><b>&nbsp;Вы не можете войти в чат!</b></div>";
echo "<div align=\"center\"><img alt=\"...\" src=\"/smi/red.gif\"><br/>";
echo "За нарушение правил нашго чата Вы были забанены!";
echo "</div><br/>";
echo "<b>Кем:</b>\r{$whokik}<br/>";
echo "<b>За что:</b>\r{$whykik}<br/>";
echo "<div align=\"center\">";
echo "<a class=\"bc\" href=\"/index.php\">&nbsp; Ok &nbsp;</a><br/><br/>";
echo "</div></div></body></html>";
mysql_close( $link );
exit( );
}
$us_soft = $row['browser'];
$us_ip = $row['ip'];
$agent = check( trim( $HTTP_USER_AGENT ) );
$addr = check( trim( $REMOTE_ADDR ) );
if ( $us_soft != $agent || $us_ip != $addr )
{
mysql_query( "Update users set browser='".$agent."', ip = '".$addr."' where id='{$id}';" );
if ( $row['safe'] == 1 )
{
echo "<title>Внимание!</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: #000000; background-color: #FF0000; }";
echo "a:link,a:visited { text-decoration: none; color: #000000 }";
echo ".ab { border-style:solid; border-width:1px; background-color:#fff; border-color:#000 #fff #fff #000; margin:3px;}";
echo ".bc { border-style:solid; border-width:1px; background-color:#d4d0c8; border-color:#fff #000 #000 #fff;}";
echo ".cd { background-color: #0000ff; color: #fff }";
echo "</style></head><body>";
echo "<div class=\"bc\">";
echo "<div class=\"cd\"><b>&nbsp;Предупреждение!</b></div>";
echo "Ваши данные:<br/>";
echo "IP: <b>{$addr}</b><br/>";
echo "Браузер: <b>{$agent}</b>";
echo "<br/>---<br/>";
echo "Не совпадают с данными последнего входа:<br/>";
echo "IP: <b>{$us_ip}</b><br/>";
echo "Браузер: <b>{$us_soft}</b>";
echo "<br/><br/>";
echo "<div align=\"center\">";
echo "<a class=\"bc\" href=\"{$PHP_SELF}?id={$id}&amp;pass={$pass}&amp;rm={$rm}&amp;ref={$ref}\">&nbsp; Продолжить &nbsp;</a><br/><br/>";
echo "</div></div></body></html>";
mysql_close( $link );
exit( );
}
}
?>